package com.hiramine.fileselectiondialogextfiltersample;

import java.io.File;

import android.app.Activity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.Toast;

public class FileSelectionDialogExtFilterSampleActivity extends Activity
		implements FileSelectionDialog.OnFileSelectListener
{
	// オプションメニューID
	private static final int	MENUID_FILE		= 0;

	// 初期フォルダ
	private String				m_strInitialDir	= "/";

	/** Called when the activity is first created. */
	@Override
	public void onCreate( Bundle savedInstanceState )
	{
		super.onCreate( savedInstanceState );
		setContentView( R.layout.main );
	}

	// オプションメニュー生成時
	@Override
	public boolean onCreateOptionsMenu( Menu menu )
	{
		super.onCreateOptionsMenu( menu );
		menu.add( 0, MENUID_FILE, 0, "Select File..." );

		return true;
	}

	// オプションメニュー選択時
	@Override
	public boolean onOptionsItemSelected( MenuItem item )
	{
		switch( item.getItemId() )
		{
		case MENUID_FILE:
			// ダイアログオブジェクト
			FileSelectionDialog dlg = new FileSelectionDialog( this, this, "gz; xml" );
			dlg.show( new File( m_strInitialDir ) );
			return true;
		}
		return false;
	}

	// ファイルが選択されたときに呼び出される関数
	public void onFileSelect( File file )
	{
		Toast.makeText( this, "File Selected : " + file.getPath(), Toast.LENGTH_SHORT ).show();
		m_strInitialDir = file.getParent();
	}
}
